commit:     f46497c72b24302716bddcb1efd4354d1864e3bc
Author:     Matoro Mahri <matoro <AT> users <DOT> noreply <DOT> github <DOT> 
com>
AuthorDate: Thu Mar 16 05:56:03 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 05:35:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f46497c7

media-video/hevc-hm: new package, add 17.0

Bug: https://bugs.gentoo.org/896120
Signed-off-by: Matoro Mahri <matoro <AT> users.noreply.github.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/hevc-hm/Manifest            |  1 +
 media-video/hevc-hm/hevc-hm-17.0.ebuild | 41 +++++++++++++++++++++++++++++++++
 media-video/hevc-hm/metadata.xml        |  8 +++++++
 3 files changed, 50 insertions(+)

diff --git a/media-video/hevc-hm/Manifest b/media-video/hevc-hm/Manifest
new file mode 100644
index 000000000000..aacbea0eac4d
--- /dev/null
+++ b/media-video/hevc-hm/Manifest
@@ -0,0 +1 @@
+DIST HM-HM-17.0.tar.gz 1692323 BLAKE2B 
fa620ce66acbc634d9768303fe8d60711759a9d6d1ff91b69680993ae45e4581c9df4f0a4fe36719de9713fd29ba020278cf7ef9a51ebee6b01dc578bfbd8f2f
 SHA512 
e8492ee63326da497d0731ef3f70e9f11043618ab5a7244aed94b248dba3f64e301f0ec2d12447a0ef22cc630cfa425341f65b4cacef184b453ba5125b7f8738

diff --git a/media-video/hevc-hm/hevc-hm-17.0.ebuild 
b/media-video/hevc-hm/hevc-hm-17.0.ebuild
new file mode 100644
index 000000000000..b44fc2abdf86
--- /dev/null
+++ b/media-video/hevc-hm/hevc-hm-17.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="HEVC HM reference software"
+HOMEPAGE="https://hevc.hhi.fraunhofer.de/";
+SRC_URI="https://vcgit.hhi.fraunhofer.de/jvet/HM/-/archive/HM-${PV}/HM-HM-${PV}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~mips"
+
+S="${WORKDIR}/HM-HM-${PV}"
+
+src_prepare() {
+       sed -i 's/add_compile_options( "-msse4.1" )//g' CMakeLists.txt || die
+       sed -i 's/list( APPEND _bb_warning_options "-Werror" )//g' \
+               cmake/CMakeBuild/cmake/modules/BBuildEnv.cmake || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DHIGH_BITDEPTH=ON
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       newbin "${S}/bin/MCTSExtractorStaticp" "MCTSExtractorStatic"
+       newbin "${S}/bin/parcatStaticp" "parcatStatic"
+       newbin "${S}/bin/SEIRemovalAppStaticp" "SEIRemovalAppStatic"
+       newbin "${S}/bin/TAppDecoderAnalyserStaticp" "TAppDecoderAnalyserStatic"
+       newbin "${S}/bin/TAppDecoderStaticp" "TAppDecoderStatic"
+       newbin "${S}/bin/TAppEncoderStaticp" "TAppEncoderStatic"
+       dodoc "${S}/doc/software-manual.pdf"
+}

diff --git a/media-video/hevc-hm/metadata.xml b/media-video/hevc-hm/metadata.xml
new file mode 100644
index 000000000000..a2dfee954457
--- /dev/null
+++ b/media-video/hevc-hm/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>media-vi...@gentoo.org</email>
+               <name>Gentoo Video project</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to